std::experimental::atomic_weak_ptr(3)

NAME
std::experimental::atomic_weak_ptr - std::experimental::atomic_weak_ptr

Synopsis
   Defined in header <experimental/atomic>
   template < class T > (concurrency TS)
   class atomic_weak_ptr;
   The class template atomic_weak_ptr provides thread-safe atomic pointer operations
   over a std::weak_ptr.

Member functions
   constructor constructs an atomic_weak_ptr object
                        (public member function)
   operator= stores a value into an atomic_weak_ptr object
                        (public member function)
   is_lock_free checks if the atomic_weak_ptr object is lock-free
                        (public member function)
                        atomically replaces the value of the atomic object with a
   store non-atomic argument
                        (public member function)
   load atomically obtains the value of the atomic object
                        (public member function)
   operator weak_ptr<T> loads a value from an atomic object
                        (public member function)
                        atomically replaces the value of the atomic object and
   exchange obtains the value held previously
                        (public member function)
                        atomically compares the value of the atomic object with
   compare_exchange_weak non-atomic argument and performs atomic exchange if equal or
   compare_exchange_strong atomic load if not
                        (public member function)